* {
    box-sizing: border-box;
}

html, body, #root {
    height: 100%;
}

body {
    font-family: 'Msa', Helvetica, Arial, sans-serif;
    font-size: $font-size-base;
    color: $color-base;
    margin: 0;
    // min-height: 100%;
}

a {
    text-decoration: none;
    color: inherit;

    &[target=_blank]:after {
    }
}

h1, h2, h3, h4 {
    font-weight: 500;
}

.layout__header {
    color: $dark-900;
    display: flex;
    justify-content: space-between;
    align-items: center;
    @include marginBottom(10);

    .layout__title {
        display: flex;
        align-items: center;
        gap: $space * 2;
        font-size: 175%;
        font-weight: 500;
        margin: 0;

        span {
            font-weight: 400;
        }
    }

    .layout__back {
        font-size: $font-size-base;
        color: $blue-900;
    }
}

.stack-papers {
    & > * {
        @include marginBottom(6);
    }
}

.paper {
    border: 1px solid $grey-300;
    border-radius: $border-radius;
    @include padding(6, 6);

    .paper__header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        @include margin(0, 0, 4, 0);

        &.start {
            gap: $space * 4;
            justify-content: flex-start;
        }

        &.end {
            gap: $space * 4;
            justify-content: flex-end;
        }
    }
}

.entity__row {
    border: 1px solid $grey-300;
    border-radius: $border-radius;
    @include marginBottom(4);

    &--hover:hover {
        background-color: $yellow-100;
        cursor: pointer;
    }

    .row__name {
        &--cursor {
            cursor: pointer;
        }
    }

    &.disabled {
        background-color: $color-input-background-disabled;
        color: $color-input-readonly;
    }

    &.selected {
        background-color: $grey-200;
    }
}

.section__header {
    color: $dark-800;
    font-weight: 500;
    font-size: $font-size-large;
    border-bottom: 1px solid $grey-300;
    @include paddingBottom(3);
    @include marginBottom(3);
}

.section__divider {
    border-bottom: 1px solid $grey-300;
    @include margin(4, 0);
}


// use with react-tostify library
:root {
    --toastify-color-light: #{$grey-50};
    --toastify-text-color-light: #{$color-base};
    --toastify-toast-width: 30rem;
}

.Toastify__toast-container {
    top: 0;
    padding: 0;

    .Toastify__toast {
        border-radius: $border-radius;

        &:first-child {
            border-radius: 0 0 $border-radius $border-radius;
        }

        .Toastify__toast-body {
            @include padding(4, 6);
        }
    }
}
